Bug 497599 - abrt-gui shows wrong icon of crashed app
abrt-gui shows wrong icon of crashed app
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 18:18 EDT by Matthias Clasen
Modified: 2015-02-01 17:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-04-24 18:18:13 EDT
abrt shows the 'green apple' icon for metacity. I don't know where it got that, but it is wrong. If an app doesn't have an icon, just don't show one.
Comment 1 Bug Zapper 2009-06-09 10:31:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michal Nowak 2009-07-09 03:36:57 EDT
I wonder which one exactly you mean. Is that icon present in 0.0.4? Can you post a screenshot?
Comment 3 Jiri Moskovcak 2009-07-09 04:45:00 EDT
This can happen if package doesn't have it's own icon, then the fallback may find some nonsense. I'll remove it ASAP.
Comment 4 Matthias Clasen 2009-07-17 10:54:08 EDT
Wrong icon is no longer shown, which is good. Of course, now you seem to err too far on the other side, and don't show icons anymore for things which clearly have icons, such as gedit. You should probably talk to rhughes, PackageKit has worked out a lot of the details how to go binary <-> package <-> icon
Comment 5 Denys Vlasenko 2009-08-20 06:18:19 EDT
Or just do not bother finding and showing the icons. I don't think it's useful in any way for bug hunting to know what icons crashed app has.
Comment 6 Bug Zapper 2010-04-27 09:55:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:11:53 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.